# Vec4f Class Reference

List of all members.

## Public Member Functions
float | Length (void) const
float | LengthSqr (void) const
void | Normalize (void)
Vec4f | operator* (const float s) const
float | operator* (const Vec4f &A) const
void | operator*= (const float s)
Vec4f | operator+ (const Vec4f &A) const
void | operator+= (const Vec4f A)
Vec4f | operator- (void) const
Vec4f | operator- (const Vec4f &A) const
void | operator-= (const Vec4f A)
Vec4f | operator/ (const float s) const
void | operator/= (const float s)
Vec4f & | operator= (const Vec4f &A)
float & | operator[] (const int i)
float | operator[] (const int i) const
void | Print ()
void | Set (float v[4])
void | Set (const float X, const float Y, const float Z, const float W)
| Vec4f (float v[4])
| Vec4f (const Vec4f &v)
| Vec4f (const float X, const float Y, const float Z, const float W)
| Vec4f (void)
void | Wdiv (void)
## Public Attributes
float | w
float | x
float | y
float | z
## Friends
Vec4f | operator* (float s, const Vec4f &v)

## Constructor & Destructor Documentation

Vec4f::Vec4f | ( | void |  | ) | `[inline]`

Vec4f::Vec4f | ( | const float | X,
|  | const float | Y,
|  | const float | Z,
|  | const float | W |
| ) |  |  | `[inline]`

Vec4f::Vec4f | ( | const Vec4f & | v | ) | `[inline]`

Vec4f::Vec4f | ( | float | v[4] | ) | `[inline]`

## Member Function Documentation

float Vec4f::Length | ( | void |  | ) | const`[inline]`

float Vec4f::LengthSqr | ( | void |  | ) | const`[inline]`

void Vec4f::Normalize | ( | void |  | ) | `[inline]`

Vec4f Vec4f::operator* | ( | const float | s | ) | const`[inline]`

float Vec4f::operator* | ( | const Vec4f & | A | ) | const`[inline]`

void Vec4f::operator*= | ( | const float | s | ) | `[inline]`

Vec4f Vec4f::operator+ | ( | const Vec4f & | A | ) | const`[inline]`

void Vec4f::operator+= | ( | const Vec4f | A | ) | `[inline]`

Vec4f Vec4f::operator- | ( | void |  | ) | const`[inline]`

Vec4f Vec4f::operator- | ( | const Vec4f & | A | ) | const`[inline]`

void Vec4f::operator-= | ( | const Vec4f | A | ) | `[inline]`

Vec4f Vec4f::operator/ | ( | const float | s | ) | const`[inline]`

void Vec4f::operator/= | ( | const float | s | ) | `[inline]`

Vec4f& Vec4f::operator= | ( | const Vec4f & | A | ) | `[inline]`

float& Vec4f::operator[] | ( | const int | i | ) | `[inline]`

float Vec4f::operator[] | ( | const int | i | ) | const`[inline]`

void Vec4f::Print | ( |  | ) | `[inline]`

void Vec4f::Set | ( | float | v[4] | ) | `[inline]`

void Vec4f::Set | ( | const float | X,
|  | const float | Y,
|  | const float | Z,
|  | const float | W |
| ) |  |  | `[inline]`

void Vec4f::Wdiv | ( | void |  | ) | `[inline]`

## Friends And Related Function Documentation

Vec4f operator* | ( | float | s,
|  | const Vec4f & | v |
| ) |  |  | `[friend]`

## Member Data Documentation

float Vec4f::w

float Vec4f::x

float Vec4f::y

float Vec4f::z